Home
last modified time | relevance | path

Searched refs:myFirstShape (Results 1 – 25 of 31) sorted by relevance

12

/dports/cad/opencascade/opencascade-7.6.0/src/LocOpe/
H A DLocOpe_Prism.cxx88 myFirstShape.Nullify(); in Perform()
109 myFirstShape.Nullify(); in Perform()
143 myFirstShape = thePrism.FirstShape(); in IntPerf()
185 for (exp.Init(myFirstShape,TopAbs_FACE);exp.More();exp.Next()) { in IntPerf()
247 return myFirstShape; in FirstShape()
281 LocOpe::SampleEdges(myFirstShape,spt); in Curves()
305 LocOpe::SampleEdges(myFirstShape,spt); in Handle()
H A DLocOpe_Revol.cxx70 myFirstShape.Nullify(); in Perform()
93 myFirstShape.Nullify(); in Perform()
127 myFirstShape = theRevol.FirstShape(); in IntPerf()
169 for (exp.Init(myFirstShape,TopAbs_FACE);exp.More();exp.Next()) { in IntPerf()
231 return myFirstShape; in FirstShape()
265 LocOpe::SampleEdges(myFirstShape,spt); in Curves()
287 LocOpe::SampleEdges(myFirstShape,spt); in Handle()
H A DLocOpe_LinearForm.cxx60 myFirstShape.Nullify(); in Perform()
91 myFirstShape.Nullify(); in Perform()
129 myFirstShape = myPrism.FirstShape(); in IntPerf()
171 for (exp.Init(myFirstShape,TopAbs_FACE);exp.More();exp.Next()) { in IntPerf()
234 return myFirstShape; in FirstShape()
H A DLocOpe_RevolutionForm.cxx65 myFirstShape.Nullify(); in Perform()
99 myFirstShape = theRevol.FirstShape(); in IntPerf()
141 for (exp.Init(myFirstShape,TopAbs_FACE);exp.More();exp.Next()) { in IntPerf()
203 return myFirstShape; in FirstShape()
H A DLocOpe_Pipe.hxx82 TopoDS_Shape myFirstShape; member in LocOpe_Pipe
H A DLocOpe_RevolutionForm.hxx85 TopoDS_Shape myFirstShape; member in LocOpe_RevolutionForm
H A DLocOpe_Prism.hxx89 TopoDS_Shape myFirstShape; member in LocOpe_Prism
H A DLocOpe_DPrism.hxx96 TopoDS_Shape myFirstShape; member in LocOpe_DPrism
H A DLocOpe_LinearForm.hxx85 TopoDS_Shape myFirstShape; member in LocOpe_LinearForm
/dports/cad/opencascade/opencascade-7.6.0/src/PrsDim/
H A DPrsDim_AngleDimension.cxx157 myFirstShape = theFirstEdge; in SetMeasuredGeometry()
182 myFirstShape = BRepLib_MakeVertex (myFirstPoint); in SetMeasuredGeometry()
205 myFirstShape = theFirstVertex; in SetMeasuredGeometry()
229 myFirstShape = theCone; in SetMeasuredGeometry()
250 myFirstShape = theFirstFace; in SetMeasuredGeometry()
272 myFirstShape = theFirstFace; in SetMeasuredGeometry()
877 TopoDS_Edge aFirstEdge = TopoDS::Edge (myFirstShape); in InitTwoEdgesAngle()
984 TopoDS_Face aFirstFace = TopoDS::Face (myFirstShape); in InitTwoFacesAngle()
1024 TopoDS_Face aFirstFace = TopoDS::Face (myFirstShape); in InitTwoFacesAngle()
1067 if (myFirstShape.IsNull()) in InitConeAngle()
[all …]
H A DPrsDim_LengthDimension.hxx102 const TopoDS_Shape& FirstShape() const { return myFirstShape; } in FirstShape()
245 TopoDS_Shape myFirstShape; member in PrsDim_LengthDimension
H A DPrsDim_LengthDimension.cxx130 myFirstShape = BRepLib_MakeVertex (myFirstPoint); in SetMeasuredGeometry()
146 myFirstShape = theEdge; in SetMeasuredGeometry()
150 myIsGeometryValid = InitOneShapePoints (myFirstShape); in SetMeasuredGeometry()
185 myFirstShape = theFirstShape; in SetMeasuredShapes()
187 …myIsGeometryValid = InitTwoShapesPoints (myFirstShape, mySecondShape, aComputedPlane, isPlaneRetur… in SetMeasuredShapes()
H A DPrsDim_AngleDimension.hxx121 const TopoDS_Shape& FirstShape() const { return myFirstShape; } in FirstShape()
348 TopoDS_Shape myFirstShape; member in PrsDim_AngleDimension
/dports/cad/opencascade/opencascade-7.6.0/inc/
H A DPrsDim_LengthDimension.hxx102 const TopoDS_Shape& FirstShape() const { return myFirstShape; } in FirstShape()
245 TopoDS_Shape myFirstShape; member in PrsDim_LengthDimension
H A DPrsDim_AngleDimension.hxx121 const TopoDS_Shape& FirstShape() const { return myFirstShape; } in FirstShape()
348 TopoDS_Shape myFirstShape; member in PrsDim_AngleDimension
H A DLocOpe_Pipe.hxx82 TopoDS_Shape myFirstShape; member in LocOpe_Pipe
H A DLocOpe_RevolutionForm.hxx85 TopoDS_Shape myFirstShape; member in LocOpe_RevolutionForm
H A DLocOpe_Prism.hxx89 TopoDS_Shape myFirstShape; member in LocOpe_Prism
H A DLocOpe_DPrism.hxx96 TopoDS_Shape myFirstShape; member in LocOpe_DPrism
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/opencascade/
H A DAIS_LengthDimension.hxx107 return myFirstShape; in FirstShape()
260 TopoDS_Shape myFirstShape; member in AIS_LengthDimension
H A DAIS_AngleDimension.hxx135 return myFirstShape; in FirstShape()
385 TopoDS_Shape myFirstShape; member in AIS_AngleDimension
H A DLocOpe_Pipe.hxx82 TopoDS_Shape myFirstShape; member in LocOpe_Pipe
H A DLocOpe_RevolutionForm.hxx85 TopoDS_Shape myFirstShape; member in LocOpe_RevolutionForm
H A DLocOpe_Prism.hxx89 TopoDS_Shape myFirstShape; member in LocOpe_Prism
H A DLocOpe_DPrism.hxx96 TopoDS_Shape myFirstShape; member in LocOpe_DPrism

12